List companies
curl --request GET \
--url https://www.prometheus.services/api/v1/companies \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"id": "3dc3b782-6b1c-455e-80ff-d4e8f07a09f3",
"name": "NVIDIA CORP",
"legal_name": "NVIDIA CORP",
"cik": "0001045810",
"ticker": "NVDA",
"exchange": "N/A",
"country_code": "US",
"sector": "Technology",
"industry": "Semiconductors",
"price": 214.72,
"change_percent": -0.982248,
"volume": 91591112,
"market_cap": 5200733120000,
"pe_ratio": 32.8821,
"logo_png_s3_key": "logos/cik=0001045810/512.png",
"website": "https://www.nvidia.com",
"brand_mark": "https://cdn.brandfetch.io/nvidia.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"share_classes": null
},
{
"id": "33c210d5-7e67-436a-b240-96ba73998b12",
"name": "Apple Inc.",
"legal_name": "Apple Inc.",
"cik": "0000320193",
"ticker": "AAPL",
"exchange": "N/A",
"country_code": "US",
"sector": "Technology",
"industry": "Consumer Electronics",
"price": 309.35,
"change_percent": -0.6264,
"volume": 42216056,
"market_cap": 4519282704050,
"pe_ratio": 35.5166,
"logo_png_s3_key": "logos/cik=0000320193/512.png",
"website": "https://www.apple.com",
"brand_mark": "https://cdn.brandfetch.io/apple.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"share_classes": null
},
{
"id": "9d155aca-6efd-4b57-aff2-188dc063a1d5",
"name": "Alphabet Inc.",
"legal_name": "Alphabet Inc.",
"cik": "0001652044",
"ticker": "GOOGL",
"exchange": "N/A",
"country_code": "US",
"sector": "Communication Services",
"industry": "Internet Content & Information",
"price": 344.82,
"change_percent": 1.21819,
"volume": 20779426,
"market_cap": 4200180710000,
"pe_ratio": 17.1994,
"logo_png_s3_key": "logos/cik=0001652044/512.png",
"website": "https://about.google/",
"brand_mark": "https://cdn.brandfetch.io/google.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"share_classes": [
{
"symbol": "GOOGL",
"price": 344.82,
"change_percent": 1.21819,
"is_primary": true
},
{
"symbol": "GOOG",
"price": 341.75,
"change_percent": 1.04967,
"is_primary": false
}
]
}
],
"total": 490
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Company Data
List companies
List covered companies.
GET
/
api
/
v1
/
companies
List companies
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
Filter by sector name.
1–1000, default 100.
Default 0.
Response
OK
The response is of type object.
⌘I